Force English because of messages displayed in the console
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42 VPATH = @srcdir@
43 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
44 am__make_running_with_option = \
45   case $${target_option-} in \
46       ?) ;; \
47       *) echo "am__make_running_with_option: internal error: invalid" \
48               "target option '$${target_option-}' specified" >&2; \
49          exit 1;; \
50   esac; \
51   has_opt=no; \
52   sane_makeflags=$$MAKEFLAGS; \
53   if $(am__is_gnu_make); then \
54     sane_makeflags=$$MFLAGS; \
55   else \
56     case $$MAKEFLAGS in \
57       *\\[\ \   ]*) \
58         bs=\\; \
59         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
60           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
61     esac; \
62   fi; \
63   skip_next=no; \
64   strip_trailopt () \
65   { \
66     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
67   }; \
68   for flg in $$sane_makeflags; do \
69     test $$skip_next = yes && { skip_next=no; continue; }; \
70     case $$flg in \
71       *=*|--*) continue;; \
72         -*I) strip_trailopt 'I'; skip_next=yes;; \
73       -*I?*) strip_trailopt 'I';; \
74         -*O) strip_trailopt 'O'; skip_next=yes;; \
75       -*O?*) strip_trailopt 'O';; \
76         -*l) strip_trailopt 'l'; skip_next=yes;; \
77       -*l?*) strip_trailopt 'l';; \
78       -[dEDm]) skip_next=yes;; \
79       -[JT]) skip_next=yes;; \
80     esac; \
81     case $$flg in \
82       *$$target_option*) has_opt=yes; break;; \
83     esac; \
84   done; \
85   test $$has_opt = yes
86 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
87 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
88 pkgdatadir = $(datadir)/@PACKAGE@
89 pkgincludedir = $(includedir)/@PACKAGE@
90 pkglibdir = $(libdir)/@PACKAGE@
91 pkglibexecdir = $(libexecdir)/@PACKAGE@
92 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
93 install_sh_DATA = $(install_sh) -c -m 644
94 install_sh_PROGRAM = $(install_sh) -c
95 install_sh_SCRIPT = $(install_sh) -c
96 INSTALL_HEADER = $(INSTALL_DATA)
97 transform = $(program_transform_name)
98 NORMAL_INSTALL = :
99 PRE_INSTALL = :
100 POST_INSTALL = :
101 NORMAL_UNINSTALL = :
102 PRE_UNINSTALL = :
103 POST_UNINSTALL = :
104 build_triplet = @build@
105 host_triplet = @host@
106 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
107         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs
108 @NEED_JAVA_TRUE@am__append_1 = java
109 subdir = modules/atoms
110 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
111 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
112         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
113         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
114         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
115         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
116         $(top_srcdir)/m4/intel_compiler.m4 \
117         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
118         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
119         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
120         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
121         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
122         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
123         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
124         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
125         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
126         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
127         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
128 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
129         $(ACLOCAL_M4)
130 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
131 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
132 CONFIG_CLEAN_FILES =
133 CONFIG_CLEAN_VPATH_FILES =
134 AM_V_P = $(am__v_P_@AM_V@)
135 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
136 am__v_P_0 = false
137 am__v_P_1 = :
138 AM_V_GEN = $(am__v_GEN_@AM_V@)
139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
140 am__v_GEN_0 = @echo "  GEN     " $@;
141 am__v_GEN_1 = 
142 AM_V_at = $(am__v_at_@AM_V@)
143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
144 am__v_at_0 = @
145 am__v_at_1 = 
146 SOURCES =
147 DIST_SOURCES =
148 am__can_run_installinfo = \
149   case $$AM_UPDATE_INFO_DIR in \
150     n|no|NO) false;; \
151     *) (install-info --version) >/dev/null 2>&1;; \
152   esac
153 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
154 am__vpath_adj = case $$p in \
155     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
156     *) f=$$p;; \
157   esac;
158 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
159 am__install_max = 40
160 am__nobase_strip_setup = \
161   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
162 am__nobase_strip = \
163   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
164 am__nobase_list = $(am__nobase_strip_setup); \
165   for p in $$list; do echo "$$p $$p"; done | \
166   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
167   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
168     if (++n[$$2] == $(am__install_max)) \
169       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
170     END { for (dir in files) print dir, files[dir] }'
171 am__base_list = \
172   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
173   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
174 am__uninstall_files_from_dir = { \
175   test -z "$$files" \
176     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
177     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
178          $(am__cd) "$$dir" && rm -f $$files; }; \
179   }
180 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
181         "$(DESTDIR)$(libsciatoms_la_guidir)" \
182         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
183         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
184 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
185         $(libsciatoms_la_root_DATA) \
186         $(nobase_libsciatoms_la_icons_DATA)
187 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
188 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
189 ACLOCAL = @ACLOCAL@
190 ALL_LINGUAS = @ALL_LINGUAS@
191 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
192 AMTAR = @AMTAR@
193 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
194 ANT = @ANT@
195 ANTLR = @ANTLR@
196 AR = @AR@
197 ARPACK_LIBS = @ARPACK_LIBS@
198 ASM3 = @ASM3@
199 AUTOCONF = @AUTOCONF@
200 AUTOHEADER = @AUTOHEADER@
201 AUTOMAKE = @AUTOMAKE@
202 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
203 AWK = @AWK@
204 BATIK = @BATIK@
205 BLAS_LIBS = @BLAS_LIBS@
206 CC = @CC@
207 CCACHE = @CCACHE@
208 CCDEPMODE = @CCDEPMODE@
209 CFLAGS = @CFLAGS@
210 CHECKSTYLE = @CHECKSTYLE@
211 COBERTURA = @COBERTURA@
212 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
213 COMMONS_IO = @COMMONS_IO@
214 COMMONS_LOGGING = @COMMONS_LOGGING@
215 CPP = @CPP@
216 CPPFLAGS = @CPPFLAGS@
217 CURL_CFLAGS = @CURL_CFLAGS@
218 CURL_CONFIG = @CURL_CONFIG@
219 CURL_LIBS = @CURL_LIBS@
220 CURL_VERSION = @CURL_VERSION@
221 CXX = @CXX@
222 CXXCPP = @CXXCPP@
223 CXXDEPMODE = @CXXDEPMODE@
224 CXXFLAGS = @CXXFLAGS@
225 CYGPATH_W = @CYGPATH_W@
226 DEFS = @DEFS@
227 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
228 DEPDIR = @DEPDIR@
229 DLLTOOL = @DLLTOOL@
230 DOCBOOK_ROOT = @DOCBOOK_ROOT@
231 DOXYGEN_BIN = @DOXYGEN_BIN@
232 DSYMUTIL = @DSYMUTIL@
233 DUMPBIN = @DUMPBIN@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 ECJ = @ECJ@
238 EGREP = @EGREP@
239 EXEEXT = @EXEEXT@
240 F77 = @F77@
241 FFLAGS = @FFLAGS@
242 FFTW3_LIB = @FFTW3_LIB@
243 FFTW_ENABLE = @FFTW_ENABLE@
244 FGREP = @FGREP@
245 FLEXDOCK = @FLEXDOCK@
246 FLIBS = @FLIBS@
247 FOP = @FOP@
248 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
249 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
250 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
251 FREEHEP_IO = @FREEHEP_IO@
252 FREEHEP_UTIL = @FREEHEP_UTIL@
253 GENHTML = @GENHTML@
254 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
255 GIWS_BIN = @GIWS_BIN@
256 GLUEGEN2_RT = @GLUEGEN2_RT@
257 GMSGFMT = @GMSGFMT@
258 GMSGFMT_015 = @GMSGFMT_015@
259 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
260 GREP = @GREP@
261 GUI_ENABLE = @GUI_ENABLE@
262 HDF5_CFLAGS = @HDF5_CFLAGS@
263 HDF5_LIBS = @HDF5_LIBS@
264 HELP_ENABLE = @HELP_ENABLE@
265 INSTALL = @INSTALL@
266 INSTALL_DATA = @INSTALL_DATA@
267 INSTALL_PROGRAM = @INSTALL_PROGRAM@
268 INSTALL_SCRIPT = @INSTALL_SCRIPT@
269 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
270 INTLLIBS = @INTLLIBS@
271 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
272 JAR = @JAR@
273 JAVA = @JAVA@
274 JAVAC = @JAVAC@
275 JAVAC_DEBUG = @JAVAC_DEBUG@
276 JAVADOC = @JAVADOC@
277 JAVAH = @JAVAH@
278 JAVASCI_ENABLE = @JAVASCI_ENABLE@
279 JAVA_ENABLE = @JAVA_ENABLE@
280 JAVA_G = @JAVA_G@
281 JAVA_HOME = @JAVA_HOME@
282 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
283 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
284 JDB = @JDB@
285 JEUCLID_CORE = @JEUCLID_CORE@
286 JGRAPHX = @JGRAPHX@
287 JHALL = @JHALL@
288 JLATEXMATH = @JLATEXMATH@
289 JLATEXMATH_FOP = @JLATEXMATH_FOP@
290 JOGL2 = @JOGL2@
291 JROSETTA_API = @JROSETTA_API@
292 JROSETTA_ENGINE = @JROSETTA_ENGINE@
293 JUNIT4 = @JUNIT4@
294 LAPACK_LIBS = @LAPACK_LIBS@
295 LCOV = @LCOV@
296 LD = @LD@
297 LDFLAGS = @LDFLAGS@
298 LIBICONV = @LIBICONV@
299 LIBINTL = @LIBINTL@
300 LIBM = @LIBM@
301 LIBOBJS = @LIBOBJS@
302 LIBS = @LIBS@
303 LIBTOOL = @LIBTOOL@
304 LIPO = @LIPO@
305 LN_S = @LN_S@
306 LOGGING_LEVEL = @LOGGING_LEVEL@
307 LOOKS = @LOOKS@
308 LTLIBICONV = @LTLIBICONV@
309 LTLIBINTL = @LTLIBINTL@
310 LTLIBOBJS = @LTLIBOBJS@
311 MAINT = @MAINT@
312 MAKEINFO = @MAKEINFO@
313 MANIFEST_TOOL = @MANIFEST_TOOL@
314 MATIO_CFLAGS = @MATIO_CFLAGS@
315 MATIO_ENABLE = @MATIO_ENABLE@
316 MATIO_LIBS = @MATIO_LIBS@
317 MKDIR_P = @MKDIR_P@
318 MPI_ENABLE = @MPI_ENABLE@
319 MSGCAT = @MSGCAT@
320 MSGFMT = @MSGFMT@
321 MSGFMT_015 = @MSGFMT_015@
322 MSGMERGE = @MSGMERGE@
323 NM = @NM@
324 NMEDIT = @NMEDIT@
325 OBJDUMP = @OBJDUMP@
326 OBJEXT = @OBJEXT@
327 OCAMLC = @OCAMLC@
328 OCAMLDEP = @OCAMLDEP@
329 OCAMLLEX = @OCAMLLEX@
330 OCAMLOPT = @OCAMLOPT@
331 OCAMLYACC = @OCAMLYACC@
332 OPENMPI_CC = @OPENMPI_CC@
333 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
334 OPENMPI_CXX = @OPENMPI_CXX@
335 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
336 OPENMPI_LIBS = @OPENMPI_LIBS@
337 OPENMP_CFLAGS = @OPENMP_CFLAGS@
338 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
339 OPENMP_ENABLE = @OPENMP_ENABLE@
340 OPENMP_LIBS = @OPENMP_LIBS@
341 OTOOL = @OTOOL@
342 OTOOL64 = @OTOOL64@
343 PACKAGE = @PACKAGE@
344 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
345 PACKAGE_NAME = @PACKAGE_NAME@
346 PACKAGE_STRING = @PACKAGE_STRING@
347 PACKAGE_TARNAME = @PACKAGE_TARNAME@
348 PACKAGE_URL = @PACKAGE_URL@
349 PACKAGE_VERSION = @PACKAGE_VERSION@
350 PATH_SEPARATOR = @PATH_SEPARATOR@
351 PCRE_CFLAGS = @PCRE_CFLAGS@
352 PCRE_CONFIG = @PCRE_CONFIG@
353 PCRE_LIBS = @PCRE_LIBS@
354 PCRE_VERSION = @PCRE_VERSION@
355 PKG_CONFIG = @PKG_CONFIG@
356 POSUB = @POSUB@
357 POW_LIB = @POW_LIB@
358 PYTHON = @PYTHON@
359 RANLIB = @RANLIB@
360 RELOCATABLE = @RELOCATABLE@
361 RT_LIB = @RT_LIB@
362 SAXON = @SAXON@
363 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
364 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
365 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
366 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
367 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
368 SCIRENDERER = @SCIRENDERER@
369 SCIRENDERER_CP = @SCIRENDERER_CP@
370 SCI_CFLAGS = @SCI_CFLAGS@
371 SCI_CXXFLAGS = @SCI_CXXFLAGS@
372 SCI_FFLAGS = @SCI_FFLAGS@
373 SCI_LDFLAGS = @SCI_LDFLAGS@
374 SED = @SED@
375 SET_MAKE = @SET_MAKE@
376 SET_RELOCATABLE = @SET_RELOCATABLE@
377 SHELL = @SHELL@
378 SKINLF = @SKINLF@
379 SPLINT = @SPLINT@
380 STRIP = @STRIP@
381 SWIG_BIN = @SWIG_BIN@
382 SWIG_JAVA = @SWIG_JAVA@
383 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
384 SWIG_SCILAB = @SWIG_SCILAB@
385 TCLTK_LIBS = @TCLTK_LIBS@
386 TCL_INC_PATH = @TCL_INC_PATH@
387 TK_INC_PATH = @TK_INC_PATH@
388 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
389 UMFPACK_ENABLE = @UMFPACK_ENABLE@
390 UMFPACK_LIB = @UMFPACK_LIB@
391 USE_NLS = @USE_NLS@
392 VERSION = @VERSION@
393 WITH_OCAML = @WITH_OCAML@
394 WITH_TKSCI = @WITH_TKSCI@
395 XCOS_ENABLE = @XCOS_ENABLE@
396 XGETTEXT = @XGETTEXT@
397 XGETTEXT_015 = @XGETTEXT_015@
398 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
399 XMKMF = @XMKMF@
400 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
401 XML_APIS_EXT = @XML_APIS_EXT@
402 XML_CONFIG = @XML_CONFIG@
403 XML_FLAGS = @XML_FLAGS@
404 XML_LIBS = @XML_LIBS@
405 XML_VERSION = @XML_VERSION@
406 X_CFLAGS = @X_CFLAGS@
407 X_EXTRA_LIBS = @X_EXTRA_LIBS@
408 X_LIBS = @X_LIBS@
409 X_PRE_LIBS = @X_PRE_LIBS@
410 abs_builddir = @abs_builddir@
411 abs_srcdir = @abs_srcdir@
412 abs_top_builddir = @abs_top_builddir@
413 abs_top_srcdir = @abs_top_srcdir@
414 ac_ct_AR = @ac_ct_AR@
415 ac_ct_CC = @ac_ct_CC@
416 ac_ct_CXX = @ac_ct_CXX@
417 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
418 ac_ct_F77 = @ac_ct_F77@
419 am__include = @am__include@
420 am__leading_dot = @am__leading_dot@
421 am__quote = @am__quote@
422 am__tar = @am__tar@
423 am__untar = @am__untar@
424 bindir = @bindir@
425 build = @build@
426 build_alias = @build_alias@
427 build_cpu = @build_cpu@
428 build_os = @build_os@
429 build_vendor = @build_vendor@
430 builddir = @builddir@
431 cxx_present = @cxx_present@
432 datadir = @datadir@
433 datarootdir = @datarootdir@
434 docdir = @docdir@
435 dvidir = @dvidir@
436 exec_prefix = @exec_prefix@
437 host = @host@
438 host_alias = @host_alias@
439 host_cpu = @host_cpu@
440 host_os = @host_os@
441 host_vendor = @host_vendor@
442 htmldir = @htmldir@
443 includedir = @includedir@
444 infodir = @infodir@
445 install_sh = @install_sh@
446 libdir = @libdir@
447 libexecdir = @libexecdir@
448 localedir = @localedir@
449 localstatedir = @localstatedir@
450 mandir = @mandir@
451 mkdir_p = @mkdir_p@
452 oldincludedir = @oldincludedir@
453 pdfdir = @pdfdir@
454 prefix = @prefix@
455 program_transform_name = @program_transform_name@
456 psdir = @psdir@
457 sbindir = @sbindir@
458 sharedstatedir = @sharedstatedir@
459 srcdir = @srcdir@
460 sysconfdir = @sysconfdir@
461 target_alias = @target_alias@
462 top_build_prefix = @top_build_prefix@
463 top_builddir = @top_builddir@
464 top_srcdir = @top_srcdir@
465 modulename = atoms
466
467 #### atoms : Conf files ####
468 libsciatoms_la_rootdir = $(mydatadir)
469 libsciatoms_la_root_DATA = license.txt 
470
471 #### atoms : init scripts ####
472 libsciatoms_la_etcdir = $(mydatadir)/etc
473 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
474
475 #### atoms : XML gui ####
476 libsciatoms_la_guidir = $(mydatadir)/gui
477 libsciatoms_la_gui_DATA = gui/atomsGui.xml
478
479 #### atoms : internal functions ####
480 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
481
482 #### atoms : icons files ####
483 #
484 # Generated with:
485 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
486 libsciatoms_la_iconsdir = $(mydatadir)/
487 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
488 images/icons/16x16/status/dialog-information.png \
489 images/icons/16x16/status/software-update-available.png \
490 images/icons/16x16/status/software-update-installed.png \
491 images/icons/16x16/status/software-update-notinstalled.png \
492 images/icons/16x16/status/software-update-notuptodate.png
493
494
495 # Where all the Scilab stuff is installed (macros, help, ...)
496 mydatadir = $(pkgdatadir)/modules/$(modulename)
497
498 # Set AM_* SCI detected settings
499 AM_CPPFLAGS = $(SCI_CPPFLAGS)
500 AM_CFLAGS = $(SCI_CFLAGS)
501 AM_CXXFLAGS = $(SCI_CXXFLAGS)
502 # append includes to AM_FFLAGS to manage fortran includes
503 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
504
505 # Tag shared libraries with the Scilab version
506 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
507
508 # splint options
509 SPLINT_OPTIONS = -weak -booltype BOOL
510
511 ########################### JAVA ######################################
512 #### We are delegating java compilation to ant... Thanks to that
513 #### the procedure will be the same with Microsoft Windows (C)
514 #### and Linux/Unix
515 #######################################################################
516 TARGETS_ALL = $(am__append_1)
517
518 ################ MACROS ######################
519 # Rule to build a macro
520 # NOT USED  AT THE MOMENT
521 SUFFIXES = .sci 
522
523 ########### INSTALL DOCUMENTATION ###################
524
525 # Install documentation files into the right target
526 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
527 # automake needs the html files to be present which is not the case when
528 # we are building Scilab
529
530 # Where it should be installed
531 pkgdocdir = $(mydatadir)
532
533 # What is the mask of the help source
534 DOCMASKXML = *.xml
535
536 # What is the mask of the MathML sources
537 DOCMASKMML = *.mml
538
539 ########### INSTALL DATA ###################
540 # Install macros, help & demos
541 # Where it should be installed
542 pkgmacrosdir = $(mydatadir)
543 # Which directory we process
544 MACRODIRS = macros/
545 # Mask of the Scilab sources macros
546 MACROMASK = *.sci
547 # Mask of the Scilab executable sources macros
548 MACROBUILDMASK = *.sce
549 # Mask of the Scilab compiled macros
550 MACROBINMASK = *.bin
551 # List of the standard directory for tests
552 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
553 # Where the demos should be installed
554 pkgdemosdir = $(mydatadir)
555 # List of the standard directory for demos
556 DEMOS_DIR = demos
557 # List of the standard directory for examples
558 EXAMPLES_DIR = examples
559 # Where to export JAVA archives (.jar)
560 JARDIR = jar/
561 # JAR files mask
562 JARMASK = *.jar
563 # Chapter file 
564 HELP_CHAPTERDIR = help/
565 HELP_CHAPTERFILE = addchapter.sce
566 HELP_CHAPTERLANG = en_US fr_FR pt_BR
567 all: all-am
568
569 .SUFFIXES:
570 .SUFFIXES: .sci .bin
571 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
572         @for dep in $?; do \
573           case '$(am__configure_deps)' in \
574             *$$dep*) \
575               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
576                 && { if test -f $@; then exit 0; else break; fi; }; \
577               exit 1;; \
578           esac; \
579         done; \
580         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
581         $(am__cd) $(top_srcdir) && \
582           $(AUTOMAKE) --foreign modules/atoms/Makefile
583 .PRECIOUS: Makefile
584 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
585         @case '$?' in \
586           *config.status*) \
587             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
588           *) \
589             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
590             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
591         esac;
592 $(top_srcdir)/Makefile.incl.am:
593
594 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
595         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
596
597 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
598         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
599 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
600         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601 $(am__aclocal_m4_deps):
602
603 mostlyclean-libtool:
604         -rm -f *.lo
605
606 clean-libtool:
607         -rm -rf .libs _libs
608 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
609         @$(NORMAL_INSTALL)
610         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
611         if test -n "$$list"; then \
612           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
613           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
614         fi; \
615         for p in $$list; do \
616           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
617           echo "$$d$$p"; \
618         done | $(am__base_list) | \
619         while read files; do \
620           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
621           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
622         done
623
624 uninstall-libsciatoms_la_etcDATA:
625         @$(NORMAL_UNINSTALL)
626         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
627         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
628         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
629 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
630         @$(NORMAL_INSTALL)
631         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
632         if test -n "$$list"; then \
633           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
634           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
635         fi; \
636         for p in $$list; do \
637           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
638           echo "$$d$$p"; \
639         done | $(am__base_list) | \
640         while read files; do \
641           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
642           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
643         done
644
645 uninstall-libsciatoms_la_guiDATA:
646         @$(NORMAL_UNINSTALL)
647         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
648         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
649         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
650 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
651         @$(NORMAL_INSTALL)
652         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
653         if test -n "$$list"; then \
654           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
655           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
656         fi; \
657         for p in $$list; do \
658           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
659           echo "$$d$$p"; \
660         done | $(am__base_list) | \
661         while read files; do \
662           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
663           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
664         done
665
666 uninstall-libsciatoms_la_rootDATA:
667         @$(NORMAL_UNINSTALL)
668         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
669         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
670         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
671 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
672         @$(NORMAL_INSTALL)
673         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
674         if test -n "$$list"; then \
675           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
676           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
677         fi; \
678         $(am__nobase_list) | while read dir files; do \
679           xfiles=; for file in $$files; do \
680             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
681             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
682           test -z "$$xfiles" || { \
683             test "x$$dir" = x. || { \
684               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
685               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
686             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
687             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
688         done
689
690 uninstall-nobase_libsciatoms_la_iconsDATA:
691         @$(NORMAL_UNINSTALL)
692         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
693         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
694         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
695 tags TAGS:
696
697 ctags CTAGS:
698
699 cscope cscopelist:
700
701
702 distdir: $(DISTFILES)
703         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
704         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
705         list='$(DISTFILES)'; \
706           dist_files=`for file in $$list; do echo $$file; done | \
707           sed -e "s|^$$srcdirstrip/||;t" \
708               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
709         case $$dist_files in \
710           */*) $(MKDIR_P) `echo "$$dist_files" | \
711                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
712                            sort -u` ;; \
713         esac; \
714         for file in $$dist_files; do \
715           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
716           if test -d $$d/$$file; then \
717             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
718             if test -d "$(distdir)/$$file"; then \
719               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
720             fi; \
721             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
722               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
723               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
724             fi; \
725             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
726           else \
727             test -f "$(distdir)/$$file" \
728             || cp -p $$d/$$file "$(distdir)/$$file" \
729             || exit 1; \
730           fi; \
731         done
732 check-am: all-am
733         $(MAKE) $(AM_MAKEFLAGS) check-local
734 check: check-am
735 all-am: Makefile $(DATA) all-local
736 installdirs:
737         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
738           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
739         done
740 install: install-am
741 install-exec: install-exec-am
742 install-data: install-data-am
743 uninstall: uninstall-am
744
745 install-am: all-am
746         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
747
748 installcheck: installcheck-am
749 install-strip:
750         if test -z '$(STRIP)'; then \
751           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
752             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
753               install; \
754         else \
755           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
756             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
757             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
758         fi
759 mostlyclean-generic:
760
761 clean-generic:
762
763 distclean-generic:
764         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
765         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
766
767 maintainer-clean-generic:
768         @echo "This command is intended for maintainers to use"
769         @echo "it deletes files that may require special tools to rebuild."
770 clean: clean-am
771
772 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
773
774 distclean: distclean-am
775         -rm -f Makefile
776 distclean-am: clean-am distclean-generic distclean-local
777
778 dvi: dvi-am
779
780 dvi-am:
781
782 html: html-am
783
784 html-am:
785
786 info: info-am
787
788 info-am:
789
790 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
791         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
792         install-nobase_libsciatoms_la_iconsDATA
793
794 install-dvi: install-dvi-am
795
796 install-dvi-am:
797
798 install-exec-am:
799
800 install-html: install-html-am
801
802 install-html-am: install-html-local
803
804 install-info: install-info-am
805
806 install-info-am:
807
808 install-man:
809
810 install-pdf: install-pdf-am
811
812 install-pdf-am:
813
814 install-ps: install-ps-am
815
816 install-ps-am:
817
818 installcheck-am:
819
820 maintainer-clean: maintainer-clean-am
821         -rm -f Makefile
822 maintainer-clean-am: distclean-am maintainer-clean-generic
823
824 mostlyclean: mostlyclean-am
825
826 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
827
828 pdf: pdf-am
829
830 pdf-am:
831
832 ps: ps-am
833
834 ps-am:
835
836 uninstall-am: uninstall-libsciatoms_la_etcDATA \
837         uninstall-libsciatoms_la_guiDATA \
838         uninstall-libsciatoms_la_rootDATA \
839         uninstall-nobase_libsciatoms_la_iconsDATA
840
841 .MAKE: check-am install-am install-strip
842
843 .PHONY: all all-am all-local check check-am check-local clean \
844         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
845         distclean distclean-generic distclean-libtool distclean-local \
846         distdir dvi dvi-am html html-am info info-am install \
847         install-am install-data install-data-am install-data-local \
848         install-dvi install-dvi-am install-exec install-exec-am \
849         install-html install-html-am install-html-local install-info \
850         install-info-am install-libsciatoms_la_etcDATA \
851         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
852         install-man install-nobase_libsciatoms_la_iconsDATA \
853         install-pdf install-pdf-am install-ps install-ps-am \
854         install-strip installcheck installcheck-am installdirs \
855         maintainer-clean maintainer-clean-generic mostlyclean \
856         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
857         tags-am uninstall uninstall-am \
858         uninstall-libsciatoms_la_etcDATA \
859         uninstall-libsciatoms_la_guiDATA \
860         uninstall-libsciatoms_la_rootDATA \
861         uninstall-nobase_libsciatoms_la_iconsDATA
862
863
864 # This target enables tests for Scilab
865 check-local: $(top_builddir)/scilab-bin test
866         if test -d $(mydatadir)/tests; then \
867           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
868         fi
869 check-code:
870         if test -f build.xml; then \
871                 $(ANT) checkstyle; \
872         fi
873         if test -x "$(SPLINT)"; then \
874                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
875         fi
876 @NEED_JAVA_TRUE@java:
877 # Some configurations needs to export JAVA_HOME in the current env
878 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
879 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
880 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
881 @NEED_JAVA_TRUE@                $(ANT); \
882 @NEED_JAVA_TRUE@        fi
883
884 @NEED_JAVA_TRUE@clean-java:
885 # Some configurations needs to export JAVA_HOME in the current env
886 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
887 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
888 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
889 @NEED_JAVA_TRUE@                $(ANT) clean; \
890 @NEED_JAVA_TRUE@        fi;
891
892 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
893 # We call the target swig-build on the variable SWIG_WRAPPERS
894
895 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
896 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
897 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
898 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
899 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
900 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
901 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
902 @SWIG_TRUE@             done; \
903 @SWIG_TRUE@     fi
904
905 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
906 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
907 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
908 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
909 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
910 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
911 @SWIG_TRUE@             done; \
912 @SWIG_TRUE@     fi
913
914 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
915 # We call the target swig-build on the variable SWIG_WRAPPERS
916
917 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
918 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
919 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
920 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
921 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
922 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
923 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
924 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
925 @GIWS_TRUE@                     else \
926 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
927 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
928 @GIWS_TRUE@                     fi \
929 @GIWS_TRUE@             done; \
930 @GIWS_TRUE@     fi
931
932 @GIWS_TRUE@giws-exception:
933 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
934 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
935 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
936
937 macros:
938         -@( if test ! -x $(top_builddir)/scilab-bin; then \
939                 echo "Error : Cannot build $< : Scilab has not been built"; \
940         else \
941                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
942         fi)
943
944 # Removes the macros
945 clean-macros:
946 # Removes macros (*.bin generated from .sci)
947         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
948                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
949                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
950         done
951
952 test:
953 # More tests could be added here
954         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
955         if test -f build.xml -a $$USEANT -eq 1; then \
956                 $(ANT) test; \
957         fi
958
959 all-local: $(TARGETS_ALL)
960
961 .sci.bin:
962         -@( if test ! -x $(top_builddir)/scilab-bin; then \
963         echo "Error : Cannot build $< : Scilab has not been build"; \
964         else \
965         echo "Creating $@"; \
966         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
967         fi )
968
969 install-html-local:
970
971 install-data-local-local:
972 # Mainly for javasci
973         @if test -d $(srcdir)/javadoc; then \
974                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
975         fi
976 # If the user wants the help sources to be installed
977 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
978 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
979 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
980 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
981 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
982 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
983 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
984 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
985 @INSTALL_HELP_XML_TRUE@           done ; \
986 @INSTALL_HELP_XML_TRUE@         fi; \
987 @INSTALL_HELP_XML_TRUE@  fi; \
988 @INSTALL_HELP_XML_TRUE@ done; \
989 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
990 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
991 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
992 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
993 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
994 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
995 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
996 @INSTALL_HELP_XML_TRUE@           done ; \
997 @INSTALL_HELP_XML_TRUE@         fi; \
998 @INSTALL_HELP_XML_TRUE@ fi
999 install-data-local:
1000 # Install the tests
1001         @echo "-------- Install tests (if any) --------"; \
1002         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1003           if test -d $(srcdir)/$$dir/; then \
1004             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1005                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1006                     if test -d "$(srcdir)/$$dir/$$file"; then \
1007                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1008                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1009                     else \
1010                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1011                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1012                     fi \
1013                   done; \
1014           fi; \
1015         done
1016 # Install the help chapter
1017         @echo "-------- Install the help chapter (if any) --------"; \
1018         for lang in $(HELP_CHAPTERLANG); do \
1019                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1020                 if test -f $$HELPFILE; then \
1021                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1022                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1023                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1024                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1025                 fi; \
1026         done
1027 # Install the demos & examples
1028         @echo "-------- Install demos & examples (if any) --------"; \
1029         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1030           if test -d $(srcdir)/$$dir/; then \
1031             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1032                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1033                     if test -d "$(srcdir)/$$dir/$$file"; then \
1034                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1035                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1036                     else \
1037                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1038                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1039                     fi \
1040                   done; \
1041           fi; \
1042         done
1043 # Install the macros
1044         @echo "-------- Install macros (if any) --------"; \
1045         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1046           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1047                 if test -d $(srcdir)/$$dir/; then \
1048                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1049                         if test -n "$(MACROSSPECIALEXT)"; then \
1050                                 specialExtDir=""; \
1051                                 for specialExt in $(MACROSSPECIALEXT); do \
1052                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1053                                 done; \
1054                                 FILELIST="$$FILELIST $$specialExtDir"; \
1055                         fi; \
1056                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1057                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1058                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1059                   done; \
1060                 fi; \
1061         done
1062 # Install java files (.jar)
1063         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1064         echo "-------- Install jar files --------"; \
1065     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1066           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1067                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1068                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1069           done ; \
1070         fi
1071
1072 ########### CLEAN ###################
1073 # Clean help (generated automatically by Scilab)
1074 # It used to clean the macro (clean-macros) but this was causing
1075 # make clean && make to fail Scilab startup
1076 @NEED_JAVA_TRUE@clean-local: clean-java
1077 @NEED_JAVA_FALSE@clean-local:
1078
1079 distclean-local:
1080         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1081
1082 .PHONY: macros java swig giws
1083
1084 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1085 # Otherwise a system limit (for SysV at least) may be exceeded.
1086 .NOEXPORT: